---
title: llarp::json::IParser

---

# llarp::json::IParser





## Public Types

|                | Name           |
| -------------- | -------------- |
| enum| **[Result](Classes/structllarp_1_1json_1_1IParser.md#enum-result)** { eNeedData, eDone, eParseError}<br>result from feeding data to parser  |

## Public Functions

|                | Name           |
| -------------- | -------------- |
| virtual | **[~IParser](Classes/structllarp_1_1json_1_1IParser.md#function-~iparser)**() =default |
| virtual bool | **[FeedData](Classes/structllarp_1_1json_1_1IParser.md#function-feeddata)**(const char * buf, size_t sz) =0<br>feed data to parser return true if successful  |
| virtual [Result](Classes/structllarp_1_1json_1_1IParser.md#enum-result) | **[Parse](Classes/structllarp_1_1json_1_1IParser.md#function-parse)**(Object & obj) const =0<br>parse internal buffer  |

## Public Types Documentation

### enum Result

| Enumerator | Value | Description |
| ---------- | ----- | ----------- |
| eNeedData | | we need more data to finish parsing   |
| eDone | | we have parsed the object fully   |
| eParseError | | we have a parsing syntax error   |



result from feeding data to parser 

## Public Functions Documentation

### function ~IParser

```cpp
virtual ~IParser() =default
```


### function FeedData

```cpp
virtual bool FeedData(
    const char * buf,
    size_t sz
) =0
```

feed data to parser return true if successful 

### function Parse

```cpp
virtual Result Parse(
    Object & obj
) const =0
```

parse internal buffer 

-------------------------------

Updated on 2023-01-09 at 16:43:38 +0000